/*  Example: nested for loops */

#include <stdio.h>

main()
{
  int row; /* Row index */
  int col; /* Column index */
  
  puts("200 X's:\n");
  
  for (row = 0; row < 10; row++)  /* outer loop (rows) */
  {
    for (col = 0; col < 20; col++)  /* inner loop (columns) */
      putchar('X');
    putchar('\n');
  }
    
    
  puts("\nMultiplication table:\n");
  
  for (row = 0; row < 11; row++)  /* outer loop (rows) */
  {
    if (row == 0) /* heading */
    {
      printf(" X |");
      for (col = 1; col < 11; col++)  /* inner loop (columns) */
        printf("%4i", col);
      putchar('\n');

      printf("---+");
      for (col = 1; col < 42; col++)  /* inner loop (columns) */
        putchar('-');
      putchar('\n');
    }
    else /* normal rows */
    {
      for (col = 0; col < 11; col++)  /* inner loop (columns) */
      {
        if (col == 0)
          printf("%2i |", row);
        else
          printf("%4i", row * col);
      }
      putchar('\n');
    }
  }
}
